.custom-radio input {
  display: none;
}

.custom-radio label {
  position: relative;
  padding-left: 30px;
  margin: 0;
}

.custom-radio label::before,
.custom-radio label::after {
  content: "";
  position: absolute;
  top: 0;
}

.custom-radio label::before {
  left: 0;
  display: block;
  width: 19px;
  height: 19px;
  border-radius: 18px;
  border: 1px solid var(--default-gray);
}

.custom-radio label::after {
  display: none;
  top: 3px;
  left: 3px;
  width: 13px;
  height: 13px;
  border-radius: 13px;
  background-color: var(--default-blue);
}

.custom-radio label:hover::before,
.custom-radio input[type="radio"]:checked~label::before {
  border-color: var(--default-blue);
}

.custom-radio input[type="radio"]:checked~label::after {
  display: block;
}